/*TITLE include file for Radix40 routines */

/****keyword-flag*** "%v %f %n" */
/* "5 20-Mar-98,20:29:58 RADIX40.H" */

const int CPW = 3; /* characters per word in Radix40 code */

const int S_OKAY = 0;
const int S_ILLEGAL = 1;

const char HYPHEN = 2;
const char ILLEGAL = char(0x80);
const char IL = (HYPHEN|ILLEGAL);
/* this is the code for a -, but with the illegal flag set */
/* it is used in the conversion table to indicate that a character is invalid */


typedef unsigned Radix40;

int radix40_to_ascii(unsigned char *ascii_data, Radix40 *radix40_data,int max_chars);

int ascii_to_radix40(Radix40 *radix40_data, unsigned char *ascii_data, int max_chars);
